%{?nodejs_find_provides_and_requires}

%global packagename rollup-plugin-buble
%global enable_tests 1

Name:		nodejs-rollup-plugin-buble
Version:	0.12.1
Release:	1%{?dist}
Summary:	Compile ES2015 with buble

License:	MIT
URL:		https://gitlab.com/rich-harris/rollup-plugin-buble
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh
# license
Source11:	LICENSE-MIT.txt


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(buble)
BuildRequires:	npm(rollup-pluginutils)

%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Compile ES2015 with buble


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package
# license
cp -p %{SOURCE11} .


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json dist/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec test/test.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE-MIT.txt
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Aug  1 2016 Jared Smith <jsmith@fedoraproject.org> - 0.12.1-1
- Initial packaging
